typedef int tipodato;

typedef struct elem {
   struct elem *sig;
   tipodato info;
} nodo;

typedef nodo *pila;

/*------------------------------------------------------*/
/* Devuelve un 1 si la pila est vaca o un 0 si no lo est */

int pila_vacia (nodo *top);

/*------------------------------------------------------*/
/* Crea un nodo con la informacin facilitada. Devuelve el nodo creado. */

nodo *crear_nodo (tipodato x);

/*------------------------------------------------------*/
/* Insercin del nodo insertar en la pila top. Devuelve el nuevo top */

/* nodo *push (nodo *top, tipodato x); */
void push (nodo **top, tipodato x);

/*------------------------------------------------------*/
/* Saca un elemento de la pila y lo elimina. Devuelve el nuevo top */

/* tipodato pop (pila *top);  */
void pop (nodo **top);
/*------------------------------------------------------*/
/* Copia la pila recibida y la devuelve la propia funcin */

nodo *copiar_pila (nodo *top);

/*------------------------------------------------------*/
/* Libera la pila */

pila free_pila (pila top);
/*------------------------------------------------------*/
/* muestra el contenido de la pila */

void mostrar_pila (pila top);

