/* Ejemplo para presentacin del entorno del DDD y uso de comandos.
 * 
 * Autor: Enrique Jos Garca Gonzlez.
 * Fecha: 10 de Diciembre de 2003.
 * Lenguaje de programacin: C
 *
 */

#include <stdio.h>

/*--------------------------------------------------------------- */
/* Decrementa el valor de cont hasta cero y retorna */
void retardo(long cont) {
   int i = cont;
	
	/* Si pulsamos step o next, pasamos por todas las iteraciones del bucle una
	 * a una; pero si pulsamos until, ejecuta las iteraciones restantes */
   for (i = cont; i > 0; i--)
      cont = 1;
}
/*--------------------------------------------------------------- */
/* Suma los dos enteros recibidos y devuelve el resultado.
 * Si lo aadimos a Data Window muestra un el entero resultado de la suma. */
int sumar(int a, int b) {
   int total;

   total = a + b;
   return total;
}

/*--------------------------------------------------------------- */
/* Suma los dos enteros recibidos, muestra y devuelve el resultado.
 * Si lo aadimos a Data Window muestra el mensaje del printf. */
int sumarmsg(int a, int b) {
   int total;

   total = a + b;
   printf("El resultado es: %i\n", total);
   return total;
}

/*--------------------------------------------------------------- */
int main(int argc, char *argv[]) {
   int resultado,
	    a, b;

   resultado = sumarmsg(3, 4);
   retardo(1000);
   /* bucle infinito: para parar la ejecucin del bucle, pulsar el botn
    * Interrupt */
   do {
      a = 3;
      b = 5;
	} while (a == 3);
   printf("Fin de programa\n");
}

