/* Ejemplo sobre efectos secundarios.
 * El programa consta de una variable global, y de una
 * funcin que acta sobre la misma modificando su valor.
 * Si aadimos a la ventana Data del ddd la expresin efecto1(),
 * el resultado es que se muestra el valor retornado por la funcin
 * Y SE MODIFICA LA VARIABLE GLOBAL. Cuidado con las funciones para
 * tratamiento de ficheros.
 *
 * Autor: Enrique Jos Garca Gonzlez.
 * Fecha: 10 de Diciembre de 2003.
 * Lenguaje de programacin: C
 *
 */
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#define FICHERO "mensaje.txt"

int var_global = 0;

/* -------------------------------------------------*/
char efecto1() {

   var_global = 346;
   return 'Z';
}
/* -------------------------------------------------*/
int main (int argc, char *argv[]) {
   int fd;
		  
   fd = open(FICHERO, O_RDWR);

	/* Incluir en Data Window la expresin efecto1()
	 * y comprobar que se modifica el valor de la variable global
	 * tras pulsar next. En este punto tb puedes hacer pruebas con
	 * escritura en ficheros, por ejemplo, aadiendo a Data Window
	 * write(fd, "HOLAMUNDO", 3) siendo el resultado modificar el
	 * fichero */
	
   printf("\nFin de programa\n");
   close(fd);
   return 0;
}
